
I don't remember much after I woke up in the ICU but I never forgot this. I had a minor operation under general anesthesia. After they put the tube in my throat, my larynx started to spasm and experienced acute hypoxia. On arrival to the emergency room, I was intubated and manually ventilated with an oxygen saturation of 80 and with a blood pressure reading of 50 over 40. My heart stopped briefly.

This is when I experienced looking down at myself and watching myself being resuscitated. I felt very warm, happy, and safe. A deceased person with whom I was very close to was there with me. He looked at me in a loving way. I wanted to stay with him and didn't want to leave him, but I was being sucked closer and closer back towards my body. Every time I tried to resist the pull, he looked very upset and told me not to resist. He kept smiling. That's all I remember.
